> For the complete documentation index, see [llms.txt](https://docs.orchai.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orchai.io/orchai-money-market/oraichain-market/lending.md).

# Lending

Users can become lenders by depositing their preferred asset that is accepted by the protocol. Deposits can be withdrawn anytime unless every token in a market is borrowed.

Lending interest is distributed through the value appreciation of **oToken**, which is minted to lenders as a deposit receipt.

## oToken

oToken balances represent a depositor's share in the market. The exchange rate with their underlying token, the **oToken** **exchange rate**, increases as deposits accrues interest, appreciating the value of oToken. With time, holders can redeem oToken with a greater number of underlying tokens, enabling depositors to collect interest simply by holding them.

The oToken exchange rate at time $$t$$ is defined as:

$$
oTokenExchangeRate(t) = \frac{totalDeposited(t)+ totalBorrowed(t) - reserves(t)}{oToken Supply(t)}
$$

Where $$totalDeposited(t)$$ and $$totalBorrowed(t)$$ is the amount of money sent into the system and amount of money borrowed by the borrower at time $$t$$. A share of the protocol’s interests is allocated to a collector contract from the ecosystem treasury, saved to the parameter $$reserves(t)$$. &#x20;

As the market’s total borrowing balance increases (as a function of borrower interest accruing), the exchange rate between oToken and the underlying asset increases.

The amount of oToken a user receives when depositing underlying asset is calculated using the $$oTokenExchangeRate$$ value using the formula below:

$$
oTokenMinted =\frac{depositAmount}{oTokenExchangeRate(t)}
$$

And amount of underlying asset user receives when oToken is calculated as below:

$$
receiveAmount = oTokenBurned \times oTokenExchangeRate(t)
$$

### Lending Interest Rate

The equation above simply means that all income received through lending, after a small portion is subtracted to deposit into the system's reserve, will be split equally among lenders.

The lending interest rate $$L(t)$$ at time $$t$$ can be re-expressed by the following formula:

$$
L(t) = B(t) \times U(t) \times (1-r)
$$

Where $$U(t)$$​ is [utilization rate](/orchai-money-market/oraichain-market/borrowing.md#utilization-rate) and $$B(t)$$​ is[ borrow rate](/orchai-money-market/oraichain-market/borrowing.md#borrowing-interest-rate) at time $$t$$ and $$r$$ is reserve factor.

{% hint style="info" %}
&#x20;Reserve factor is set at **10%**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.orchai.io/orchai-money-market/oraichain-market/lending.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
